summaryrefslogtreecommitdiffstats
path: root/network/konversation
diff options
context:
space:
mode:
author Michiel van Wessem <michiel.van.wessem@gmail.com>2010-05-11 22:25:30 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-11 22:25:30 +0200
commitf39f6da971bbc4a2b8f5fadf198b6ad5973f924d (patch)
tree1a62d899903daa02c3e5f52fec8b5a547ef406b6 /network/konversation
parent08ad5724598d1978b1f58d63e35710dc7975b80e (diff)
downloadslackbuilds-f39f6da971bbc4a2b8f5fadf198b6ad5973f924d.tar.gz
slackbuilds-f39f6da971bbc4a2b8f5fadf198b6ad5973f924d.tar.xz
network/konversation: Updated for version 1.1
Diffstat (limited to 'network/konversation')
-rw-r--r--network/konversation/README17
-rw-r--r--network/konversation/doinst.sh4
-rw-r--r--network/konversation/konversation.SlackBuild97
-rw-r--r--network/konversation/konversation.info8
-rw-r--r--network/konversation/slack-desc4
5 files changed, 77 insertions, 53 deletions
diff --git a/network/konversation/README b/network/konversation/README
index 4bc70c5b25..d64e9f7a83 100644
--- a/network/konversation/README
+++ b/network/konversation/README
@@ -1,9 +1,12 @@
-Konversation is an Internet Relay Chat (IRC) client for KDE (K Desktop Environment).
-Konversation is currently maintained in the KDE Extragear module, which means that
-it has its own release cycle independent from KDE's.
+Konversation is an Internet Relay Chat (IRC) client for KDE (K Desktop
+Environment). Konversation is currently maintained in the KDE Extragear
+module, which means that it has its own release cycle independent from KDE's.
Konversation features include:
-* integration of Konsole (using the KPart technology)
-* interaction with KAddressBook * themable nicklist icons
-* OSD (On Screen Display) * IPv6 support
-* multiserver support * [Secure Sockets Layer|SSL]]
+ * integration of Konsole (using the KPart technology)
+ * interaction with KAddressBook
+ * themable nicklist icons
+ * OSD (On Screen Display)
+ * IPv6 support
+ * multiserver support
+ * [Secure Sockets Layer|SSL]]
diff --git a/network/konversation/doinst.sh b/network/konversation/doinst.sh
new file mode 100644
index 0000000000..a40a426564
--- /dev/null
+++ b/network/konversation/doinst.sh
@@ -0,0 +1,4 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications
+fi
+
diff --git a/network/konversation/konversation.SlackBuild b/network/konversation/konversation.SlackBuild
index 185045d35e..f722788cb8 100644
--- a/network/konversation/konversation.SlackBuild
+++ b/network/konversation/konversation.SlackBuild
@@ -1,22 +1,39 @@
#!/bin/sh
# SlackBuild script for konversation
-# Written by Michiel van Wessem (BP{k}) <michiel.van.wessem@gmail.com
-# Modified by the SlackBuilds.org project
+# Copyright 2007-2008 Michiel van Wessem, Manchester, United Kingdom
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are
+# met:
+#
+# * Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
+# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-NAME=konversation
-VERSION=1.0.1
+PRGNAM=konversation
+VERSION=1.1
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
-PKG=$TMP/package-$NAME
+PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-# The documentation we want to include
-DOCFILES="AUTHORS COPYING COPYING-DOCS ChangeLog INSTALL README TODO VERSION"
-
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
elif [ "$ARCH" = "i686" ]; then
@@ -25,51 +42,51 @@ elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
fi
+set -e # Exit on most errors
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
-rm -rf $TMP/$NAME-$VERSION
-
-cd $TMP || exit 1
-tar -xvjf $CWD/$NAME-$VERSION.tar.bz2 || exit 1
-cd $NAME-$VERSION || exit 1
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
chown -R root:root .
-chmod -R a-s,u+w,go+r-w .
-
-KDEPREF=$(kde-config --prefix)
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
- --prefix=$KDEPREF \
- --localstatedir=/var \
+ --prefix=/usr \
--sysconfdir=/etc \
+ --localstatedir=/var \
--mandir=/usr/man \
- --program-prefix="" \
- --program-suffix="" \
- --disable-debug \
- || exit 1
+ --disable-debug
-make || exit 1
-make install DESTDIR=$PKG || exit 1
-
-mkdir -p $PKG/usr/doc/$NAME-$VERSION
-cp -a $DOCFILES $PKG/usr/doc/$NAME-$VERSION
-cat $CWD/$NAME.SlackBuild > $PKG/usr/doc/$NAME-$VERSION/$NAME.SlackBuild
-
-mkdir $PKG/install
-cat $CWD/slack-desc > $PKG/install/slack-desc
+make
+make install DESTDIR=$PKG
( cd $PKG
-find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
)
-if [ -d $PKG/usr/man ]; then
- ( cd $PKG/usr/man
- find . -type f -exec gzip -9 {} \;
- for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
- )
-fi
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING* ChangeLog INSTALL README TODO VERSION \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$NAME-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/network/konversation/konversation.info b/network/konversation/konversation.info
index 34fcc39512..0d2d1e9edb 100644
--- a/network/konversation/konversation.info
+++ b/network/konversation/konversation.info
@@ -1,8 +1,8 @@
PRGNAM="konversation"
-VERSION="1.0.1"
+VERSION="1.1"
HOMEPAGE="http://konversation.kde.org"
-DOWNLOAD="http://download.berlios.de/konversation/konversation-1.0.1.tar.bz2 "
-MD5SUM="60c2c5f94d4a916055db09728304b19f"
+DOWNLOAD="http://download.berlios.de/konversation/konversation-1.1.tar.bz2 "
+MD5SUM="0d38a16747ab4f6549863de385cb551c"
MAINTAINER="Michiel van Wessem"
EMAIL="michiel.van.wessem@gmail.com"
-APPROVED="rworkman"
+APPROVED="David Somero" \ No newline at end of file
diff --git a/network/konversation/slack-desc b/network/konversation/slack-desc
index a9bcd988b8..4d33033e9a 100644
--- a/network/konversation/slack-desc
+++ b/network/konversation/slack-desc
@@ -5,7 +5,7 @@
# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
- |-----handy-ruler------------------------------------------------------|
+ |-----handy-ruler------------------------------------------------------|
konversation: Konversation (KDE IRC client)
konversation:
konversation: Konversation is a user-friendly and highly configurable
@@ -15,5 +15,5 @@ konversation: Konversation has support for standard IRC features, SSL server
konversation: support, bookmarking support, multiple identities for different
konversation: servers, theme support, and much more.
konversation:
-konversation:
+konversation: homepage: http://konversation.kde.org/
konversation: